Subject: Re: linux-next: manual merge of the sound-asoc tree with the crypto tree

From: Eric Biggers <[email-masked]>
Date: Tue, 12 May 2020 09:36:32 -0700

On Tue, May 12, 2020 at 05:22:05PM +0100, Mark Brown wrote:
> On Tue, May 12, 2020 at 02:49:49PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the sound-asoc tree got a conflict in:
> > 
> >   sound/soc/codecs/cros_ec_codec.c
> > 
> > between commit:
> > 
> >   85fc78b80f15 ("ASoC: cros_ec_codec: use crypto_shash_tfm_digest()")
> > 
> 
> Oh, this is the first I've heard of that patch :(
> 
> > from the crypto tree and commit:
> 
> >   a1304cba816e ("ASoC: cros_ec_codec: allocate shash_desc dynamically")
> 
> > from the sound-asoc tree.

I Cc'ed it to the people listed in MAINTAINERS for "CHROMEOS EC CODEC DRIVER".
I guess wasn't enough and I should have added [email-masked] too?

> 
> > I fixed it up (I just used the former) and can carry the fix as
> > necessary. This is now fixed as far as linux-next is concerned, but any
> > non trivial conflicts should be mentioned to your upstream maintainer
> > when your tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise any
> > particularly complex conflicts.
> 
> That doesn't seem ideal - Eric, Herbert can we get a branch with the
> crypto patches in them to pull into the ASoC tree or something?

We should just drop one of the patches.

If you just want to eliminate the compiler warning about stack usage in
wov_hotword_model_put(), then my patch in cryptodev would be better, as it moves
the stack allocation into another function in another file.

Alternatively, if you actually need to reduce the total stack usage (across all
functions), then the kmalloc() patch in sound-asoc would be better.

Which do you prefer?

- Eric